Skip to content
Permalink
Browse files

Update installer to work on Debian 10 Buster soon to be released

  • Loading branch information...
Sebastian-Roth committed Jun 28, 2019
1 parent 1bf321d commit fddac44877ebabbf6f01d38d39361179bc6ec04d
Showing with 16 additions and 5 deletions.
  1. +8 −0 lib/common/functions.sh
  2. +7 −4 lib/ubuntu/config.sh
  3. +1 −1 packages/web/lib/fog/system.class.php
@@ -598,6 +598,14 @@ installPackages() {
*[Uu][Bb][Uu][Nn][Tt][Uu]*|*[Mm][Ii][Nn][Tt]*)
addUbuntuRepo
;;
*[Dd][Ee][Bb][Ii][Aa][Nn]*)
if [[ $OSVersion -ge 10 ]]; then
packages="${packages// libcurl3 / libcurl4 }">>$workingdir/error_logs/fog_error_${version}.log 2>&1
packages="${packages// mysql / mariadb }">>$workingdir/error_logs/fog_error_${version}.log 2>&1
packages="${packages// mysql-server / mariadb-server }">>$workingdir/error_logs/fog_error_${version}.log 2>&1
fi
;;

esac
;;
3)
@@ -19,7 +19,10 @@
[[ -z $repo ]] && repo="php"
[[ -z $packageQuery ]] && packageQuery="dpkg -l \$x | grep '^ii'"
if [[ $linuxReleaseName == +(*[Bb][Ii][Aa][Nn]*) ]]; then
if [[ $OSVersion -gt 8 ]]; then
if [[ $OSVersion -gt 9 ]]; then
[[ -z $php_ver || ${php_ver%.*} -lt 7 ]] && php_ver="7.3"
[[ -z $php_verAdds ]] && php_verAdds="-$php_ver"
elif [[ $OSVersion -gt 8 ]]; then
[[ -z $php_ver || ${php_ver%.*} -lt 7 ]] && php_ver="7.0"
[[ -z $php_verAdds ]] && php_verAdds="-$php_ver"
else
@@ -65,7 +68,7 @@ elif [[ $linuxReleaseName == +(*[Uu][Bb][Uu][Nn][Tt][Uu]*|*[Mm][Ii][Nn][Tt]*) ]]
phpcmd="php"
libcurl="libcurl3";
[[ $OSVersion -ge 18 ]] && libcurl="libcurl4"
packages="apache2 build-essential cpp curl g++ gawk gcc genisoimage gzip htmldoc isc-dhcp-server isolinux lftp libapache2-mod-fastcgi libapache2-mod-php${php_ver} libc6 $libcurl liblzma-dev m4 mysql-client mysql-server net-tools nfs-kernel-server openssh-server $phpfpm php-gettext php${php_ver} php${php_ver}-cli php${php_ver}-curl php${php_ver}-gd php${php_ver}-json $phpldap php${php_ver}-mysql php${php_ver}-mysqlnd sysv-rc-conf tar tftpd-hpa tftp-hpa vsftpd wget xinetd zlib1g"
packages="apache2 build-essential cpp curl g++ gawk gcc genisoimage gzip htmldoc isc-dhcp-server isolinux lftp libapache2-mod-fastcgi libapache2-mod-php${php_ver} libc6 $libcurl liblzma-dev m4 mariadb-client mariadb-server net-tools nfs-kernel-server openssh-server $phpfpm php-gettext php${php_ver} php${php_ver}-cli php${php_ver}-curl php${php_ver}-gd php${php_ver}-json $phpldap php${php_ver}-mysql php${php_ver}-mysqlnd sysv-rc-conf tar tftpd-hpa tftp-hpa vsftpd wget xinetd zlib1g"
apt-get clean -yq >/dev/null 2>&1
echo "Done"
;;
@@ -80,8 +83,8 @@ fi
case $linuxReleaseName in
*[Uu][Bb][Uu][Nn][Tt][Uu]*|*[Bb][Ii][Aa][Nn]*|*[Mm][Ii][Nn][Tt]*)
libcurl="libcurl3";
[[ $OSVersion -ge 18 ]] && libcurl="libcurl4"
[[ -z $packages ]] && packages="apache2 build-essential cpp curl g++ gawk gcc genisoimage gzip htmldoc isc-dhcp-server isolinux lftp libapache2-mod-fastcgi libapache2-mod-php${php_ver} libc6 $libcurl liblzma-dev m4 mysql-client mysql-server net-tools nfs-kernel-server openssh-server $phpfpm php-gettext php${php_ver} php${php_ver}-cli php${php_ver}-curl php${php_ver}-gd php${php_ver}-json $phpldap php${php_ver}-mysql php${php_ver}-mysqlnd sysv-rc-conf tar tftpd-hpa tftp-hpa vsftpd wget xinetd zlib1g"
[[ $OSVersion -ge 18 || ( $linuxReleaseName == +(*[Bb][Ii][Aa][Nn]*) && $OSVersion -ge 10 ) ]] && libcurl="libcurl4"
[[ -z $packages ]] && packages="apache2 build-essential cpp curl g++ gawk gcc genisoimage gzip htmldoc isc-dhcp-server isolinux lftp libapache2-mod-fastcgi libapache2-mod-php${php_ver} libc6 $libcurl liblzma-dev m4 mariadb-client mariadb-server net-tools nfs-kernel-server openssh-server $phpfpm php-gettext php${php_ver} php${php_ver}-cli php${php_ver}-curl php${php_ver}-gd php${php_ver}-json $phpldap php${php_ver}-mysql php${php_ver}-mysqlnd sysv-rc-conf tar tftpd-hpa tftp-hpa vsftpd wget xinetd zlib1g"
[[ -z $packageinstaller ]] && packageinstaller="apt-get -yq install -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold"
[[ -z $packagelist ]] && packagelist="apt-cache pkgnames | grep"
[[ -z $packageupdater ]] && packageupdater="apt-get -yq upgrade -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold"
@@ -53,7 +53,7 @@ private static function _versionCompare()
public function __construct()
{
self::_versionCompare();
define('FOG_VERSION', '1.5.6.4');
define('FOG_VERSION', '1.5.6.5');
define('FOG_SCHEMA', 267);
define('FOG_BCACHE_VER', 133);
define('FOG_SVN_REVISION', 6080);

0 comments on commit fddac44

Please sign in to comment.
You can’t perform that action at this time.